Name:			gnome-applet-tvn24
Version:		0.2.8
Release:		3%{?dist}
Summary:		Scrolled RSS aggregator for the polish TVN24 channel
Summary(pl):		Pasek TVN24

Group:			Applications/Communications
License:		GPLv3
URL:			http://adamk.jogger.pl/2007/09/10/pasek-tvn24-v0-2-8-dla-gnome/
Source0:		http://adamk.rootnode.pl/tvn24/%{version}/tvn24_%{version}-1.tar.gz

Patch0:			gnome-applet-tvn24-0.2.8-Makefile.am.patch

BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:		gnome-panel-devel libxml2-devel

%description
Scrolled RSS aggregator for the polish TVN24 channel.

%description -l pl
Pasek TVN24

%prep
%setup -q -n tvn24_%{version}
%patch0
sed -i "s#/usr/lib/tvn24/tvn24#%{_libexecdir}/tvn24#" TVN24.server
sed -i "s#/usr/lib/tvn24/tvn24.png#%{_datadir}/pixmaps/tvn24.png#" TVN24.server


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

#make install DESTDIR=$RPM_BUILD_ROOT
#make install copies files to hardcoded directories

mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/
cp tvn24 $RPM_BUILD_ROOT%{_libexecdir}/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp tvn24.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/

mkdir -p $RPM_BUILD_ROOT%{_libdir}/bonobo/servers
cp TVN24.server $RPM_BUILD_ROOT%{_libdir}/bonobo/servers

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog COPYING
%{_libexecdir}/tvn24
%{_datadir}/pixmaps/tvn24.png
%{_libdir}/bonobo/servers/TVN24.server


%changelog
* Sat Nov 03 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.2.8-3
- URL fix

* Sat Nov 03 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.2.8-2
- x86_64 compatibility fixes: handmade install, TVN24.server fixing

* Sat Nov 03 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.2.8-1
- Initial release
